Bug 53932 - RFE: XF86Config-4 screen section bad for 3dfx Voodoo3
RFE: XF86Config-4 screen section bad for 3dfx Voodoo3
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-09-22 04:36 EDT by Need Real Name
Modified: 2014-06-18 05:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-28 21:00:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-09-22 04:36:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
When installing Roswell, it figured out that I had a 3DFX Voodoo 3.
I had high hopes it would finally be configured correctly "out of
the box".  After installing Roswell and Quake 3, it became apparent that
there was no 3D acceleration.  Checking XF86Config-4, the screens section
had a default depth of 24, and the mode line in the subsection had only
1024x768 listed.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1.Build computer with 3DFX Voodoo 3
2.Install Roswell and Quake 3
3.Be very patient when Quake runs in software rendering mode on your
old, slow cpu.

Expected Results:  What should have happend:  If you (Red Hat) want 3D
to work "out of the box" (i.e. after installation) for the Voodoo 3 cards,
anaconda should make the following two changes in XF86Config-4
(similar for XFree86 3.x, but I'm not testing that):

1) set the default depth in the "Screen" section to 16
2) be sure that 640x480 is always included on the modes line
   for the 16 bit "Display" subsection of the "Screen" section
   (the card often needs to switch into 640x480 mode when
    playing a video game, as it seems to be the default resolution
    for a game -- you may wish to add 800x600 to CYA).

I'm not saying that you necessarily want these settings as the
default.  Maybe you can add a user choice during install:
"Configure for optimal 2D quality, or for 3D acceleration?".
For optimal 2D quality, do what you're already doing (though
it don't think it would hurt to have 800x600 and 640x480 also
listed on the modes line for the 16 bit subsection).

Additional info:
Comment 1 Brent Fox 2001-09-24 12:27:45 EDT
I'll mark this as an RFE.  We will consider this for future versions.
Comment 2 Michael Fulbright 2001-09-27 12:18:56 EDT
Bill do we support voodoo3 3d out of the box?
Comment 3 Bill Nottingham 2001-09-27 12:21:20 EDT
We should, assuming X is set up right.
Comment 4 Mike A. Harris 2001-09-27 17:01:54 EDT
Some Voodoo 3 datapoints FYI

Voodoo 3 hardware is limited to 16bit 3D.  If X is not using 16bit
depth, 3D acceleration is not supported.  With a 16Mb Voodoo 3, you
must have X configured with a maximum startup resolution of 1024x768.
Using a resolution of higher than that will result in unstable X
operation, random lockups and crashes.  Just to clarify the 1024x768
statement, this means that the "Modes" line for depth 16 in your
XF86Config must _not_ list any mode larger than 1024x768.  If you
use virtual resolution, it must not be larger than 1024x768 either.

Example proper config Screen section:

Section "Screen"
        Identifier "Screen0"
        Device "Voodoo3 (generic)"
        Monitor "DELL P991"
        DefaultDepth 16
        Subsection "Display"
                Depth 24
                Modes "1024x768" "800x600" "640x480"
        Subsection "Display"
                Depth 16
                Modes "1024x768" "800x600" "640x480"

Note that DRI should be commented out in the config file if using
depth other than 16.  Also, if you disable DRI, you can use whatever
higher resolutions the hardware supports.  I have used non-DRI
operation on Voodoo 3 16Mb up to 1600x1200 in 24 depth.

Hope this is helpful.

I agree with your assessment about DRI configuration.  Xconfigurator
needs to be made aware of DRI, and allow a user to enable/disable
DRI, and when DRI is chosen enabled it should automatically disable
resolutions and depth combinations that are not supported.  Ultimately,
XFree86 should do this itself, but it does not always handle things
properly, and is quite a moving target.  It is easier to limit users
in the config tool to known sane configurations - letting advanced
users override it by editing the files themselves if they decide
they need to.

This is an important feature for future X configuration that I deem
quite critical.  Feel free to reassign to Xconfigurator if you like
Comment 5 Mike A. Harris 2002-07-26 09:03:26 EDT
I've reassigned this to the new X config tool as an RFE.

Basically in summary, 3Dfx Voodoo 3 and Banshee video cards only
support 3D acceleration in 16 bit depth.  So with this hardware,
the config tool should visually indicate to the user that 3D is
only available in 16bit depth, and should visibly grey out DRI
or whatever if 24 or 8 bit is chosen.

The current tdfx driver will internally automatically disable DRI
also if the resolution configured exceeds 1024x768.  That need not
be shown in the configuration tool however.
Comment 6 Mike A. Harris 2005-04-28 21:00:44 EDT
We no longer provide 3D acceleration support for 3Dfx hardware.  Glide3
has been removed from Fedora Core for a while now.

Closing "WONTFIX"

Note You need to log in before you can comment on or make changes to this bug.